import App from './App'
import Vue from 'vue'
import uView from 'uview-ui'
import $api from 'common/api.js'
import $http from 'common/http.js'
import $store from 'common/store';
import $helper from 'common/helper.js';

Vue.use(uView)

Vue.prototype.api = $api

Vue.prototype.http = $http

Vue.prototype.help = $helper

// uni.$u.config.unit = 'rpx'

Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	store: $store,
	...App
})

Vue.mixin(require("@/common/store/mixin.js"))
// Vue.mixin(require('uview-ui/libs/mixin/mpShare.js'))
require('common/request.js')(app)
app.$mount()
